Package: groovy.jmx.builder

## [Groovy] Class JmxClientConnectorFactory

- groovy.jmx.builder.JmxClientConnectorFactory

- This is the factory for node JmxBuilder.connectorClient. A call to this node returns an insatnce of the JMXConnector interface.

       JmxBuilder.clientConnector (
          protocol:"rmi",
          host:"...",
          port:1099,
          url:"...",
       )

  Authors:
    Vladimir Vivien
  See Also:
    JMXConnector

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)